Bug 173238 - winbindd: getpwnam(username) returns NULL-string gecos for some users
winbindd: getpwnam(username) returns NULL-string gecos for some users
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
https://bugzilla.samba.org/show_bug.c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 10:12 EST by Pasi Sjöholm
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:51:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pasi Sjöholm 2005-11-15 10:12:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
For some reason winbind doesn't return correct gecos-information for all users
when using getpwnam(username), I'm only getting a null-string. 

In the other hand getpwent() works correctly and every account has it's
gecos-information when printing the whole userbase in a while loop.

Removing netsamlogon_cache.tdb also "resolves" temporarily this problem until
the cache gets "corrupted" again.

Samba 2.0.21rc1 changelog:
--cut--
    * Re-add the netsamlogon_cache tdb and ensure that user entries
      are updated from the PAC data during kerberos ticket 
      validation.
--cut--

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install samba with winbindd
2.
3.
  

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:51:10 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.